Name:           subsurface
Summary:        Simple Dive Log Program
Version:        4.4.2
Release:        %mkrel 11
License:        GPLv2
Group:          Sciences/Other
URL:            http://subsurface.hohndel.org
Source0:        http://subsurface.hohndel.org/downloads/Subsurface-%{version}.tgz
Patch0:         Subsurface-4.4.1-marblewidget-qt5.patch
Patch1:         Subsurface-4.4.2-use-libgit23-api.patch
Patch2:         Subsurface-4.4.2-fix-build-with-marble-16.12.patch
BuildRequires:  marble
BuildRequires:  marble-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libdivecomputer) >= 0.2.0
BuildRequires:  asciidoc
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  qttools5

%description
subsurface is a simple dive log program written in C.

%prep
%setup -q -n Subsurface-%{version}
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
%qmake_qt5
%__make

%install
%make_install prefix=%{buildroot}%{_prefix}

desktop-file-edit \
    %{buildroot}%{_datadir}/applications/subsurface.desktop

%files
%doc README Documentation ReleaseNotes
%{_bindir}/subsurface
%{_datadir}/applications/subsurface.desktop
%{_datadir}/%{name}
%{_datadir}/man/man1/subsurface.1*
%{_datadir}/icons/hicolor/scalable/apps/subsurface-icon.svg


%changelog
* Wed Mar 29 2017 akien <akien> 4.4.2-11.mga6
+ Revision: 1095210
- Rebuild for libgit2 0.25.0

* Thu Dec 15 2016 daviddavid <daviddavid> 4.4.2-10.mga6
+ Revision: 1075346
- add patch to fix build against marble >= 16.12
- rebuild for marble 16.11.90

* Wed Sep 07 2016 daviddavid <daviddavid> 4.4.2-9.mga6
+ Revision: 1050341
- rebuild for marble 16.08.0

* Fri Jul 15 2016 daviddavid <daviddavid> 4.4.2-8.mga6
+ Revision: 1042228
- fix build dependency as marble-qt5 was merged into the main marble package

* Thu Apr 28 2016 daviddavid <daviddavid> 4.4.2-7.mga6
+ Revision: 1007347
- rebuild for marble 16.04.0

* Fri Apr 01 2016 daviddavid <daviddavid> 4.4.2-6.mga6
+ Revision: 997484
- rebuild for new libgit2 0.24.0

* Wed Feb 17 2016 umeabot <umeabot> 4.4.2-5.mga6
+ Revision: 962957
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 daviddavid <daviddavid> 4.4.2-4.mga6
+ Revision: 904204
- rebuild for new libzip 1.0.1

* Wed Aug 12 2015 guillomovitch <guillomovitch> 4.4.2-3.mga6
+ Revision: 864077
- fix build with libgit 2.3

  + wally <wally>
    - rebuild for new libgit2

* Mon Jul 06 2015 guillomovitch <guillomovitch> 4.4.2-1.mga6
+ Revision: 852170
- new version

  + tv <tv>
    - rebuild for new libgit2

* Fri Jan 02 2015 guillomovitch <guillomovitch> 4.3-1.mga5
+ Revision: 808175
- new version

* Wed Oct 15 2014 umeabot <umeabot> 4.2-3.mga5
+ Revision: 746086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2-2.mga5
+ Revision: 689572
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 guillomovitch <guillomovitch> 4.2-1.mga5
+ Revision: 665796
- new version 4.2

* Wed Jul 30 2014 fwang <fwang> 4.1-3.mga5
+ Revision: 658119
- rebuild for new marble

* Tue Jul 01 2014 guillomovitch <guillomovitch> 4.1-2.mga5
+ Revision: 641761
- rebuild for new libgit

* Thu May 29 2014 guillomovitch <guillomovitch> 4.1-1.mga5
+ Revision: 627703
- new version 4.1

* Wed Mar 19 2014 fwang <fwang> 4.0.3-2.mga5
+ Revision: 605522
- rebuild for new marble

* Sun Feb 23 2014 guillomovitch <guillomovitch> 4.0.3-1.mga5
+ Revision: 596071
- new version 4.0.3

* Tue Feb 04 2014 guillomovitch <guillomovitch> 4.0.2-1.mga5
+ Revision: 580532
- new version 4.0.2

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Jul 04 2013 guillomovitch <guillomovitch> 3.1.1-1.mga4
+ Revision: 450266
- new version

* Thu May 23 2013 guillomovitch <guillomovitch> 3.1-1.mga4
+ Revision: 424807
- new version

* Sat Mar 09 2013 guillomovitch <guillomovitch> 3.0.2-2.mga3
+ Revision: 402003
- add missing osm-gps-map-devel build dependency

* Tue Mar 05 2013 guillomovitch <guillomovitch> 3.0.2-1.mga3
+ Revision: 401452
- new version

* Sat Mar 02 2013 guillomovitch <guillomovitch> 3.0.1-1.mga3
+ Revision: 401093
- new version

* Sat Feb 23 2013 guillomovitch <guillomovitch> 3.0-1.mga3
+ Revision: 400091
- new version

* Mon Jan 14 2013 umeabot <umeabot> 2.1-2.mga3
+ Revision: 383573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 guillomovitch <guillomovitch> 2.1-1.mga3
+ Revision: 310580
- new version
- imported package subsurface

